
QGIS Application - Bug report #19567

qgz files not load

2018-08-08 12:11 PM - Evgeniy Z

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Project Loading/Saving

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows 10 x64, Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27394

Description

I try to open *.qgz files from explorer or from qgis-bin but QGIS load empty project. After unzip qgz I try to open *.qgs - works fine.

Related issues:

Related to QGIS Application - Bug report # 20562: all layers gone when reopen... Closed 2018-11-20

Associated revisions

Revision d3924adf - 2019-01-22 05:37 PM - Nyall Dawson

Use QFile to write zip contents, instead of std::ofstream

Because std::ostream doesn't handle non-ascii paths

Refs #19567

Revision 7d7462c3 - 2019-01-22 05:37 PM - Nyall Dawson

Fix loss of project when saving to QGZ format and path contains non-ascii chars

Fixes #19567

Revision bfef851b - 2019-01-24 03:22 AM - Nyall Dawson

Fix loss of project when saving to QGZ format and path contains non-ascii chars

Fixes #19567

(cherry picked from commit 7d7462c33334a501167813d720fb2589d3c579ec)

History

#1 - 2018-08-08 02:07 PM - Giovanni Manghi

- Category changed from Unknown to Project Loading/Saving

#2 - 2018-09-12 11:06 AM - Regis Haubourg

- Priority changed from Normal to High

#3 - 2018-09-12 11:08 AM - Regis Haubourg
- Assignee set to Paul Blottiere

I think this deserves to be fixed in the bugfix run. I affect this to Paul. Please notify here if someone objects or takes lead here

#4 - 2018-09-21 12:12 PM - Evgeniy Z

My current version 3.2.3

If I save qgZ-project with Cyrillic symbols in filename, this project will not open.

It seems qgZ-project without Cyrillic symbols in filename opens normal.

#5 - 2018-11-20 01:37 PM - Jörn Gutzeit

I can not open *.qgZ files as user "Jörn" > see #20562 > maybe any relations?

#6 - 2018-11-21 04:44 PM - Jürgen Fischer

- Related to Bug report #20562: all layers gone when reopen *.qgZ as User „Jörn“ added

#7 - 2018-11-26 10:46 AM - Jérôme Guélat

This is still happening with QGIS 3.4.1 when you use letters with accents like é, è, ä, ö, etc. in the filename.

This gives the impression that the QGIS project is corrupted if people don't know that they can unzip it.

#8 - 2019-01-22 12:21 AM - Nyall Dawson

- Status changed from Open to In Progress

- Assignee changed from Paul Blottiere to Nyall Dawson

#9 - 2019-01-22 05:36 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|7d7462c33334a501167813d720fb2589d3c579ec.
